org.gjt.sp.jedit.bufferio

## Class BufferAutosaveRequest

- java.lang.Object
- - org.gjt.sp.util.Task
  - - org.gjt.sp.jedit.bufferio.IoTask
    - - org.gjt.sp.jedit.bufferio.BufferIORequest
      - - org.gjt.sp.jedit.bufferio.BufferAutosaveRequest

- All Implemented Interfaces:
    java.lang.Runnable, ProgressObserver

      public class BufferAutosaveRequest
      extends BufferIORequest

  A buffer autosave request.

- - ### Field Summary

    - ### Fields inherited from class org.gjt.sp.jedit.bufferio.BufferIORequest

      `buffer, END_OFFSETS, ERROR_OCCURRED, IOBUFSIZE, LOAD_DATA, markersPath, NEW_PATH, path, PROGRESS_INTERVAL, session, vfs, view`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferAutosaveRequest(View view, Buffer buffer, java.lang.Object session, VFS vfs, java.lang.String path)` Creates a new buffer I/O request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_run()` This is the method you have to implement and that will be executed in the thread.

    - ### Methods inherited from class org.gjt.sp.jedit.bufferio.BufferIORequest

      `autodetect, getByteIOBufferSize, getCharIOBufferSize, read, toString, write`

    - ### Methods inherited from class org.gjt.sp.util.Task

      `cancel, getLabel, getMaximum, getState, getStatus, getValue, isCancellable, run, setCancellable, setLabel, setMaximum, setStatus, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferAutosaveRequest

          public BufferAutosaveRequest(View view,
                               Buffer buffer,
                               java.lang.Object session,
                               VFS vfs,
                               java.lang.String path)

      Creates a new buffer I/O request.
      Parameters:
        `view` - The view
        `buffer` - The buffer
        `session` - The VFS session
        `vfs` - The VFS
        `path` - The path

  - ### Method Detail

    - #### _run

          public void _run()

      Description copied from class: `Task`
      This is the method you have to implement and that will be executed in the thread.
      Specified by:
        `_run` in class `Task`